Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.html
Class charEnumEditor

    java.lang.Object
      org.makumba.commons.formatters.FieldFormatter
          org.makumba.forms.html.FieldEditor
              org.makumba.forms.html.choiceEditor
                  org.makumba.forms.html.charEnumEditor

Direct Known Subclasses:
  intEnumEditor, setcharEnumEditor

    public class charEnumEditor

extends choiceEditor

Field Summary

Fields inherited from class org.makumba.forms.html.choiceEditor
`_params, _paramValues, nullOption`

Fields inherited from class org.makumba.forms.html.FieldEditor
`ERROR_NO_BOOLEAN, ERROR_NO_INT, ERROR_NO_REAL, extraFormattingParam, formName, params, paramValues, suffixName`

Constructor Summary
`protected` | `charEnumEditor()` Don't use this, use getInstance()

Method Summary
`String` | `formatOptionTitle(RecordFormatter rf, int fieldIndex, Object options, int i)` Gets the title/label of option 'i'.
`String` | `formatOptionValue(RecordFormatter rf, int fieldIndex, Object val)` Formats an option value.
`String` | `formatOptionValue(RecordFormatter rf, int fieldIndex, Object opts, int i, Object val)` Formats an option value, in the sequence of options.
`int` | `getDefaultSize(RecordFormatter rf, int fieldIndex)` Gets the default size of the select HTML box.
`static FieldFormatter` | `getInstance()`
`Object` | `getOptions(RecordFormatter rf, int fieldIndex, Dictionary<String,Object> formatParams)` Get the available options.
`int` | `getOptionsLength(RecordFormatter rf, int fieldIndex, Object opts)` Gets the number of available options.
`Object` | `getOptionValue(RecordFormatter rf, int fieldIndex, Object options, int i)` Gets the value of option 'i'.
`boolean` | `isMultiple(RecordFormatter rf, int fieldIndex)` Returns blank string, or " multiple " if multiple selections possible.

Methods inherited from class org.makumba.forms.html.choiceEditor
`format, getAcceptedParams, getAcceptedValue, getValueOrDefault, setNullOption, shouldRemoveNullValue`

Methods inherited from class org.makumba.forms.html.FieldEditor
`checkParam, formatHidden, formatHiddenValue, formatShow, formatValue, getExtraFormatting, getInputName, getInputName, getSuffix, onStartup, readFrom, setExtraFormatting, setFormName, setSuffix, toBoolean, toInt, toReal`

Methods inherited from class org.makumba.commons.formatters.FieldFormatter
`checkParams, equals, formatNotNull, formatNull, getDefaultValueFormat, getEmptyValueFormat, getExpr, getIntParam, getIntParamString, initExpr, resetValueFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### charEnumEditor

    protected charEnumEditor()

  Don't use this, use getInstance()

Method Detail

### getInstance

    public static FieldFormatter getInstance()

### getOptions

    public Object getOptions(RecordFormatter rf,
                             int fieldIndex,
                             Dictionary<String,Object> formatParams)

  Description copied from class: `choiceEditor`
  Get the available options.

  Specified by:
    `getOptions` in class `choiceEditor`

### getOptionsLength

    public int getOptionsLength(RecordFormatter rf,
                                int fieldIndex,
                                Object opts)

  Description copied from class: `choiceEditor`
  Gets the number of available options.

  Specified by:
    `getOptionsLength` in class `choiceEditor`

### getOptionValue

    public Object getOptionValue(RecordFormatter rf,
                                 int fieldIndex,
                                 Object options,
                                 int i)

  Description copied from class: `choiceEditor`
  Gets the value of option 'i'.

  Specified by:
    `getOptionValue` in class `choiceEditor`

### formatOptionValue

    public String formatOptionValue(RecordFormatter rf,
                                    int fieldIndex,
                                    Object val)

  Description copied from class: `choiceEditor`
  Formats an option value.

  Specified by:
    `formatOptionValue` in class `choiceEditor`

### formatOptionValue

    public String formatOptionValue(RecordFormatter rf,
                                    int fieldIndex,
                                    Object opts,
                                    int i,
                                    Object val)

  Description copied from class: `choiceEditor`
  Formats an option value, in the sequence of options.

  Specified by:
    `formatOptionValue` in class `choiceEditor`

### formatOptionTitle

    public String formatOptionTitle(RecordFormatter rf,
                                    int fieldIndex,
                                    Object options,
                                    int i)

  Description copied from class: `choiceEditor`
  Gets the title/label of option 'i'.

  Specified by:
    `formatOptionTitle` in class `choiceEditor`

### isMultiple

    public boolean isMultiple(RecordFormatter rf,
                              int fieldIndex)

  Description copied from class: `choiceEditor`
  Returns blank string, or " multiple " if multiple selections possible.

  Specified by:
    `isMultiple` in class `choiceEditor`

### getDefaultSize

    public int getDefaultSize(RecordFormatter rf,
                              int fieldIndex)

  Description copied from class: `choiceEditor`
  Gets the default size of the select HTML box.

  Specified by:
    `getDefaultSize` in class `choiceEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20